# NES CHANGELOG

### 1.0.1
* Release date: 2023/01/26
* Changes and new features:
  * Improve Lat-Lon to Cartesian coordinates method (used in Providentia).
  * Function to_shapefile() to create shapefiles from a NES object without losing data from the original grid and being able to select the time and level.
  * Function from_shapefile() to create a new grid with data from a shapefile after doing a spatial join.
  * Bugs fixing:
    * Correct the dimensions of the resulting points datasets from any interpolation.
    * Amend the interpolation method to take into account the cases in which the distance among points equals zero.
    * Correct the way we retrieve the level positive value.


### 1.0.0
* Release date: 2022/11/24
* Changes and new features:
  * First beta release
  * Open:
    * NetCDF:
      * Regular Latitude-Longitude
      * Rotated Lat-Lon
      * Lambert Conformal Conic
      * Mercator
      * Points
      * Points in GHOST format
      * Points in PROVIDENTIA format
  * Parallelization:
    * Balanced / Unbalanced
    * By time axis
    * By Y axis
    * By X axis
  * Create: 
    * NetCDF:
      * Regular Latitude-Longitude
      * Rotated Lat-Lon
      * Lambert Conformal Conic
      * Mercator
      * Points
    * Shapefile
  * Write:
    * NetCDF
      * CAMS REANALYSIS format
    * Grib2
    * Shapefile
  * Interpolation:
    * Vertical interpolation
    * Horizontal interpolation
      * Nearest Neighbours
    * Providentia interpolation
  * Statistics:
    * Daily_mean
    * Daily_max
    * Daily_min
    * Last time step
  * Methods:
    * Concatenate (variables of the same period in different files)
    